// PictureHeadersQuery.cpp : implementation file
//

#include "stdafx.h"
#include "ex30a.h"
#include "PictureHeadersQuery.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPictureHeadersQuery

IMPLEMENT_DYNAMIC(CPictureHeadersQuery, CDaoRecordset)

CPictureHeadersQuery::CPictureHeadersQuery(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CPictureHeadersQuery)
	m_Name = _T("");
	m_Type = 0;
	m_NoteFlag = 0;
	m_SmallSize = 0;
	m_LargeSize = 0;
	m_SmallWidth = 0;
	m_SmallHeight = 0;
	m_LargeWidth = 0;
	m_LargeHeight = 0;
	m_nFields = 9;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
	m_nParams = 4;
	m_strUsr = _T("");
	m_strPsw = _T("");
	m_lBkID = 0;
	m_lPagNum = 0;
}


CString CPictureHeadersQuery::GetDefaultDBName()
{
	return _T("E:\\Programación Enero 98\\Proyectos\\InternetServer\\ITBLibrary.mdb");
}

CString CPictureHeadersQuery::GetDefaultSQL()
{
	return _T("[QPictureHeaders]");
}

void CPictureHeadersQuery::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CPictureHeadersQuery)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Text(pFX, _T("[Name]"), m_Name);
	DFX_Byte(pFX, _T("[Type]"), m_Type);
	DFX_Long(pFX, _T("[NoteFlag]"), m_NoteFlag);
	DFX_Long(pFX, _T("[SmallSize]"), m_SmallSize);
	DFX_Long(pFX, _T("[LargeSize]"), m_LargeSize);
	DFX_Long(pFX, _T("[SmallWidth]"), m_SmallWidth);
	DFX_Long(pFX, _T("[SmallHeight]"), m_SmallHeight);
	DFX_Long(pFX, _T("[LargeWidth]"), m_LargeWidth);
	DFX_Long(pFX, _T("[LargeHeight]"), m_LargeHeight);
	//}}AFX_FIELD_MAP
	// This data source is a query which contains parameters.  Note
	//  that these lines are placed outside of the ClassWizard comments,
	//  since ClassWizard can not currently browse or edit query parameters.
	//  You will have to modify these fields by hand if the parameters in your
	//  data source change.
	// You must set the recordset's parameter member variables to values before
	//  the recordset is opened.
	pFX->SetFieldType(CDaoFieldExchange::param);
	DFX_Text(pFX, _T("Usr"), m_strUsr);
	DFX_Text(pFX, _T("Psw"), m_strPsw);
	DFX_Long(pFX, _T("BkID"), m_lBkID);
	DFX_Long(pFX, _T("PagNum"), m_lPagNum);
}

/////////////////////////////////////////////////////////////////////////////
// CPictureHeadersQuery diagnostics

#ifdef _DEBUG
void CPictureHeadersQuery::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CPictureHeadersQuery::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
